Subject: Re: [net-next 0/5][pull request] Intel Wired LAN Driver Updates 2015-09-28

From: Jeff Kirsher <[email-masked]>
Date: Mon, 28 Sep 2015 17:33:54 -0700

On Mon, 2015-09-28 at 12:33 -0700, Jeff Kirsher wrote:
> This series contains updates to i40e, i40evf and igb to resolve
> issues
> seen and reported by Red Hat.
> 
> Kiran moves i40e_get_head() in preparation for the refactor of the Tx
> timeout logic, so that it can be used in other areas of the driver.
> Refactored the driver timeout logic by issuing a writeback request
> via
> a software interrupt to the hardware the first time the driver
> detects
> a hang.  This was due to the driver being too aggressive in resetting
> a
> hung queue.
> 
> Shannon adds the GRE protocol to the transmit checksum encoding.
> 
> Anjali fixes an issue of forcing writeback too often, which caused us
> to
> not benefit from NAPI.  We now disable force writeback in the clean
> routine for X710 and XL710 adapters.  The X722 adapters do not enable
> interrupt to force a writeback and benefit from WB_ON_ITR and so
> force
> WB is left enabled for those adapters.
> 
> Stefan Assmann provides a fix for igb where SR-IOV was not getting
> enabled properly and we ran into a NULL pointer if the max_vfs module
> parameter is specified.  This is prevented by setting the
> IGB_FLAG_HAS_MSIX bit before calling igb_probe_vfs().
> 
> The following are changes since commit
> 34c2d9fb0498c066afbe610b15e18995fd8be792:
>   bridge: Allow forward delay to be cfgd when STP enabled
> and are available in the git repository at:
>   git://git.kernel.org/pub/scm/linux/kernel/git/jkirsher/next-queue
> master

I need to add one more patch to this series from Anjali which resolves
a possible deadlock issue.  So v2 of the series is coming shortly.